package com.red.circle.external.app.censor;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 腾讯云内容审核配置.
 */
@Component
@ConfigurationProperties(prefix = "red-circle.censor.tencent")
public class TencentCensorProperties {

  /**
   * 是否启用腾讯云内容审核.
   */
  private boolean enabled = false;

  public boolean isEnabled() {
    return enabled;
  }

  public void setEnabled(boolean enabled) {
    this.enabled = enabled;
  }
}
